# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIO::ChmodJob Class Reference

This job changes permissions on a list of files or directories, optionally in a recursive manner. More...

`#include <chmodjob.h>`

Inheritance diagram for KIO::ChmodJob:

[legend]
Collaboration diagram for KIO::ChmodJob:

[legend]
List of all members.

## Public Member Functions

| ChmodJob (const KFileItemList &lstItems, int permissions, int mask, int newOwner, int newGroup, bool recursive, bool showProgressInfo)

## Protected Slots

virtual void | slotResult (KIO::Job *job)
| Called whenever a subjob finishes.
void | slotEntries (KIO::Job *, const KIO::UDSEntryList &)
void | processList ()

## Protected Member Functions

void | chmodNextFile ()
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This job changes permissions on a list of files or directories, optionally in a recursive manner.

Definition at line 46 of file chmodjob.h.

## Member Function Documentation

void ChmodJob::slotResult | ( | KIO::Job * | job | ) | `[protected, virtual, slot]`

| Called whenever a subjob finishes. Default implementation checks for errors and propagates to parent job, then calls removeSubjob. Override if you don't want subjobs errors to be propagated. Reimplemented from KIO::Job. Definition at line 207 of file chmodjob.cpp. References KIO::Job::emitResult(), KIO::Job::error(), KIO::Job::errorText(), QPtrList< Job >::remove(), and QPtrList::removeFirst().

The documentation for this class was generated from the following files:

- chmodjob.h
- chmodjob.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:25:04 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001